| Flutter Impeller |

Public Member Functions | List of all members
impeller::testing::MockWorker Class Referencefinal
Inheritance diagram for impeller::testing::MockWorker:

## Public Member Functions
| MockWorker ()=default
bool | CanReactorReactOnCurrentThreadNow (const ReactorGLES &reactor) const override
| Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction. More...
| MockWorker ()=default
bool | CanReactorReactOnCurrentThreadNow (const ReactorGLES &reactor) const override
| Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction. More...
Public Member Functions inherited from impeller::ReactorGLES::Worker
virtual | ~Worker ()=default

## Detailed Description

Definition at line 26 of file blit_command_gles_unittests.cc.

## Constructor & Destructor Documentation

## ◆ MockWorker() [1/2]

impeller::testing::MockWorker::MockWorker | ( |  | ) |
| default

## ◆ MockWorker() [2/2]

impeller::testing::MockWorker::MockWorker | ( |  | ) |
| default

## Member Function Documentation

## ◆ CanReactorReactOnCurrentThreadNow() [1/2]

bool impeller::testing::MockWorker::CanReactorReactOnCurrentThreadNow | ( | const ReactorGLES & | reactor | ) | const
| inlineoverridevirtual

Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction.

Parameters

  [in] | reactor | The reactor

Returns
  If the worker is able to service a reaction. The reactor assumes the context is already current if true.

Implements impeller::ReactorGLES::Worker.

Definition at line 31 of file blit_command_gles_unittests.cc.

32 {
33 return true;
34 }

## ◆ CanReactorReactOnCurrentThreadNow() [2/2]

bool impeller::testing::MockWorker::CanReactorReactOnCurrentThreadNow | ( | const ReactorGLES & | reactor | ) | const
| inlineoverridevirtual

Determines the ability of the worker to service a reaction on the current thread. The OpenGL context must be current on the thread if the worker says it is able to service a reaction.

Parameters

  [in] | reactor | The reactor

Returns
  If the worker is able to service a reaction. The reactor assumes the context is already current if true.

Implements impeller::ReactorGLES::Worker.

Definition at line 44 of file render_pass_gles_unittests.cc.

45 {
46 return true;
47 }

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/blit_command_gles_unittests.cc
- impeller/renderer/backend/gles/render_pass_gles_unittests.cc